﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Ria;
using SilverlightApplication6.Web;
using SilverlightApplication6.ViewModel;

namespace SilverlightApplication6
{
    public partial class MainPage : UserControl
    {
        private TestDomainContext _orderContext = new TestDomainContext();
        private OrdersViewModel _viewModel = new OrdersViewModel();

        public MainPage()
        {
            InitializeComponent();
            DataContext = _viewModel;
        }

        private void theListBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            _viewModel.OnSelectedOrderChanged((sender as ListBox).SelectedIndex);
        }
    }

    public class MockItem
    {
        public String Description { get; set; }
        public double Total { get; set; }
    }
}
